SystemOrganization addCategory: #'Tp1-TADP'!
SystemOrganization addCategory: #'Tp1-TADP-Test'!

Trait named: #NoPoceado
	uses: {}
	category: 'Tp1-TADP'!

Trait named: #Poceado
	uses: {}
	category: 'Tp1-TADP'!

Object subclass: #Agencia
	instanceVariableNames: 'jugadas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-TADP'!

!Agencia methodsFor: 'as yet unclassified' stamp: 'Anonymous 9/5/2012 15:45'!
agregarJugador: unJugador

	self jugadores add: unJugador. ! !

!Agencia methodsFor: 'accessing' stamp: 'MarianoGerman 9/5/2012 19:52'!
getjugadas
	^ jugadas! !

!Agencia methodsFor: 'accessing' stamp: 'MarianoGerman 9/5/2012 19:29'!
jugadas: anObject
	jugadas := anObject! !

Object subclass: #Juego
	instanceVariableNames: 'apuestasEnJuego'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-TADP'!

!Juego methodsFor: 'as yet unclassified' stamp: 'MarianoGerman 9/5/2012 19:59'!
getApuestasEnJuego
	^ apuestasEnJuego.! !

!Juego methodsFor: 'as yet unclassified' stamp: 'MarianoGerman 9/5/2012 21:04'!
initialize 			
		apuestasEnJuego := Collection new.
		
		! !

!Juego methodsFor: 'as yet unclassified' stamp: 'MarianoGerman 9/5/2012 20:22'!
recibiMisApuestas: apuestas
	self getApuestasEnJuego addAll: apuestas.! !

Juego subclass: #Loto
	uses: Poceado
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-TADP'!

Loto class
	uses: Poceado classTrait
	instanceVariableNames: ''!

Juego subclass: #PagaOPaga
	uses: NoPoceado
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-TADP'!

PagaOPaga class
	uses: NoPoceado classTrait
	instanceVariableNames: ''!

Juego subclass: #Prode
	uses: Poceado
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-TADP'!

Prode class
	uses: Poceado classTrait
	instanceVariableNames: ''!

Juego subclass: #Quiniela
	uses: NoPoceado
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-TADP'!

Quiniela class
	uses: NoPoceado classTrait
	instanceVariableNames: ''!

Object subclass: #Jugada
	instanceVariableNames: 'monto numeros agencia'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-TADP'!

!Jugada methodsFor: 'accessing' stamp: 'MarianoGerman 9/5/2012 19:23'!
getAgencia
	^ agencia
! !

!Jugada methodsFor: 'accessing' stamp: 'MarianoGerman 9/5/2012 19:23'!
getNumeros
	^ numeros
! !

!Jugada methodsFor: 'accessing' stamp: 'MarianoGerman 9/5/2012 19:23'!
getmonto
	^ monto
! !

!Jugada methodsFor: 'accessing' stamp: 'MarianoGerman 9/5/2012 19:23'!
setAgencia: anObject
	agencia := anObject
! !

!Jugada methodsFor: 'accessing' stamp: 'MarianoGerman 9/5/2012 19:23'!
setMonto: anObject
	monto := anObject
! !

!Jugada methodsFor: 'accessing' stamp: 'MarianoGerman 9/5/2012 19:23'!
setNumeros: anObject
	numeros := anObject
! !

Object subclass: #Sorteo
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-TADP'!

Object subclass: #Timbero
	instanceVariableNames: 'juego jugadas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-TADP'!

!Timbero methodsFor: 'as yet unclassified' stamp: 'MarianoGerman 9/5/2012 21:24'!
agregarJugada: unaJugada 
	jugadas add: unaJugada.
	
! !

!Timbero methodsFor: 'accessing' stamp: 'MarianoGerman 9/5/2012 20:41'!
aposta
	self getJuego recibiMisApuestas: self getjugadas.! !

!Timbero methodsFor: 'accessing' stamp: 'MarianoGerman 9/5/2012 19:44'!
getAgencia
	^ agencia! !

!Timbero methodsFor: 'accessing' stamp: 'MarianoGerman 9/5/2012 19:12'!
getJuego
	^ juego! !

!Timbero methodsFor: 'accessing' stamp: 'MarianoGerman 9/5/2012 19:52'!
getjugadas
	^ jugadas! !

!Timbero methodsFor: 'as yet unclassified' stamp: 'MarianoGerman 9/5/2012 21:22'!
initialize 
	jugadas := Collection new.
	numeros := Collection new.
	! !

!Timbero methodsFor: 'accessing' stamp: 'MarianoGerman 9/5/2012 19:43'!
setAgencia: unaAgencia
	agencia := unaAgencia.
! !

!Timbero methodsFor: 'accessing' stamp: 'MarianoGerman 9/5/2012 19:13'!
setJuego: anObject
	juego := anObject! !

TestCase subclass: #Testeador
	instanceVariableNames: 'bruno quini6 apostaConMarta apuesta loto quini pagaLaPutaMadre prodeGanaRiver agenciaPirulo jugada sorteo bruna altaJugada'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-TADP-Test'!

!Testeador methodsFor: 'as yet unclassified' stamp: 'MarianoGerman 9/5/2012 21:25'!
testApuestaInicial

bruno := Timbero new.
agenciaPirulo := Agencia new.

bruno initialize.
altaJugada := Jugada new.

altaJugada setNumeros: #(4 8 15 16 23 42).
altaJugada setMonto: 4.
bruno setJuego: Loto new.
altaJugada setAgencia: agenciaPirulo. 
bruno agregarJugada: altaJugada.
bruno aposta.



bruna := Timbero new.

bruna setNumeros: #(4 8 15 16 23 90).
bruna setMonto: 10.
bruna setJuego: Loto new.
bruna setAgencia: agenciaPirulo. 
bruna aposta.

sorteo:= Sorteo new. 
sorteo sorteaLoto: #(4 8 15 16 23 42).

self assert: Agencia getPlata equals: jugada getMonto + 100.

 ! !

!Testeador methodsFor: 'as yet unclassified' stamp: 'BrunoFischetti 9/3/2012 13:55'!
testSorteo

loto := Loto new.
quini := Quiniela new.
pagaLaPutaMadre := PagaOPaga new.
prodeGanaRiver := Prode new.

loto sortea.
quini sortea.
pagaLaPutaMadre sortea.
prodeGanaRiver sortea.! !
